/*Class definition: This class extends the Adversary class. It basically represents
 * the Boggart (Bad guy # 1). Remember a boggart can be blinded
 * as well as charmed.
 */
public class Boggarts extends Adversary {
	//Setting the name, appearance, x and y coordinates
	public Boggarts(String name, char displaySymbol, int xPos, int yPos) {
		super(name, displaySymbol, xPos, yPos);
	}
	//Returns true if Blind is cast and initializes the blindTimer. Returns true if a Charm
	//is cast and initializes the timer. You can increase the value of the charmTimer to give
	//yourself an undue advantage :)
	@Override
	boolean getSpellCast(Move spell) {
		if (spell == Move.BLIND) {
			blindTimer = 4;
			return true;
		}
		if (spell == Move.CHARM) {
			charmTimer = 3;
			return true;
		}
		return false;
	}
	//Reduces the affect of blindness and the charm
	@Override
	void wakeUp() {
		reduceBlindness();
		reduceCharm();
	}
	//Reduces the blindTimer
	private void reduceBlindness() {
		if (blindTimer > 0)
			blindTimer--;
	}
	//Reduces the charmTimer
	private void reduceCharm() {
		if (charmTimer > 0)
			charmTimer--;
	}

}
